commit:     302de7d521d48c4b1682a29a3af965c101f64607
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Feb  5 16:34:55 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Feb  5 16:34:55 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=302de7d5

net-libs/libnet: modernise ebuild for 1.0.2a-r7

Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-libs/libnet/libnet-1.0.2a-r7.ebuild | 32 ++++++++++++++++++--------------
 1 file changed, 18 insertions(+), 14 deletions(-)

diff --git a/net-libs/libnet/libnet-1.0.2a-r7.ebuild 
b/net-libs/libnet/libnet-1.0.2a-r7.ebuild
index dfef828f59d..c07ef94b90a 100644
--- a/net-libs/libnet/libnet-1.0.2a-r7.ebuild
+++ b/net-libs/libnet/libnet-1.0.2a-r7.ebuild
@@ -1,12 +1,14 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
+
 inherit autotools toolchain-funcs
 
 DESCRIPTION="library providing an API for commonly used low-level network 
functions"
 HOMEPAGE="http://www.packetfactory.net/libnet/";
 SRC_URI="http://www.packetfactory.net/libnet/dist/deprecated/${P}.tar.gz";
+S="${WORKDIR}"/Libnet-${PV}
 
 LICENSE="BSD BSD-2 HPND"
 SLOT="1.0"
@@ -21,29 +23,27 @@ PATCHES=(
        "${FILESDIR}"/${PN}-1.0.2a-test.patch
 
 )
-S=${WORKDIR}/Libnet-${PV}
 
 src_prepare() {
        default
 
-       cd "${S}"
+       cd "${S}" || die
        mv libnet-config.in libnet-${SLOT}-config.in || die "moving 
libnet-config"
 
-       cd "${S}"/include
-       ln -s libnet.h libnet-${SLOT}.h
+       cd "${S}"/include || die
+       ln -s libnet.h libnet-${SLOT}.h || die
 
-       cd libnet
+       cd libnet || die
        for f in *.h ; do
                ln -s ${f} ${f/-/-${SLOT}-} || die
        done
 
-       cd "${S}"/doc
+       cd "${S}"/doc || die
        ln -s libnet.3 libnet-${SLOT}.3 || die
 
-       cd "${S}"
-
-       eautoconf
+       cd "${S}" || die
 
+       eautoreconf
        tc-export AR RANLIB
 }
 
@@ -53,11 +53,15 @@ src_test() {
 
 src_install() {
        default
-       doman "${D}"/usr/man/man3/libnet-1.0.3
-       rm -r "${D}"/usr/man
+       doman "${ED}"/usr/man/man3/libnet-1.0.3
+       rm -r "${ED}"/usr/man || die
 
        dodoc VERSION doc/{README,TODO*,CHANGELOG*}
        newdoc README README.1st
-       docinto example ; dodoc example/libnet*
-       docinto Ancillary ; dodoc doc/Ancillary/*
+
+       docinto example
+       dodoc example/libnet*
+
+       docinto Ancillary
+       dodoc doc/Ancillary/*
 }

Reply via email to